package com.ruoyi.syzy.domain;

import com.alibaba.fastjson2.JSONArray;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 院校库对象 b_busi_wish_universities
 *
 * @author mingxue
 * @date 2021-07-29
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BBusiWishUniversities extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 代码 */
    @Excel(name = "代码")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** logo */
    @Excel(name = "logo")
    private String logo;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 主管机构类别 */
    @Excel(name = "主管机构类别")
    private String managerType;

    /** 院校类型 */
    @Excel(name = "院校类型")
    private String type;

    /** 学历层次 */
    @Excel(name = "学历层次")
    private String level;

    private Integer tier;
    private Integer tierRank;
    private String tierName;

    /** 一流大学建设高校(1:不是,2:是) */
    @Excel(name = "一流大学建设高校(1:不是,2:是)")
    private Integer ylxx;

    /** 一流学科建设高校(1:不是,2:是) */
    @Excel(name = "一流学科建设高校(1:不是,2:是)")
    private Integer ylxk;

    /** 研究生院(1:不是,2:是) */
    @Excel(name = "研究生院(1:不是,2:是)")
    private Integer yjsy;

    /** 独立学院(1:不是,2:是) */
    @Excel(name = "独立学院(1:不是,2:是)")
    private Integer dlxy;

    /** 民办高校(1:不是,2:是) */
    @Excel(name = "民办高校(1:不是,2:是)")
    private Integer mbgx;

    /** 电话 */
    @Excel(name = "电话")
    private String tel;

    /** 网址 */
    @Excel(name = "网址")
    private String url;

    /** 虚拟收藏数 */
    @Excel(name = "虚拟收藏数")
    private Integer favorities;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    private Integer numberOfBSH;
    private Integer numberOfStu;
    private String comScore;
    private Integer rankingOfEdu;
    private Integer ranking;
    private String createdYear;
    private String shuoShiZBWZ;
    private String vrUrl;
    private String motto;
    private String zhaoBanWZ;
    private String shortName;
    private String cityName;
    private String enName;
    private String introduction;
    private String star;
    private String vrShortUrl;
    private String celebrateDay;
    private String natureType;
    private String majorRule;
    private String pointsOfBo;
    private String pointsOfShuo;
    private String bxLevel;
    private String features;
    private String entranceType;
    private String shuoShiZBDH;
    private String bxType;
    private String zhaoBanDH;
    private String nameUsed;
    private String address;
    private String awards;
    private Integer hits;

    private String natureTypeCN;
    private String bannerUrl;
    private String webSite;
    private Integer area;
    private Integer collect;
    private String enrollLocation;
    private Boolean collected;

    public Integer getTierRank() {
        return tierRank;
    }

    public void setTierRank(Integer tierRank) {
        this.tierRank = tierRank;
    }

    public String getTierName() {
        return tierName;
    }

    public void setTierName(String tierName) {
        this.tierName = tierName;
    }

    public Integer getArea() {
        return area;
    }

    public void setArea(Integer area) {
        this.area = area;
    }

    public Integer getCollect() {
        return collect;
    }

    public void setCollect(Integer collect) {
        this.collect = collect;
    }

    public String getEnrollLocation() {
        return enrollLocation;
    }

    public void setEnrollLocation(String enrollLocation) {
        this.enrollLocation = enrollLocation;
    }

    public String getBannerUrl() {
        return bannerUrl;
    }

    public void setBannerUrl(String bannerUrl) {
        this.bannerUrl = bannerUrl;
    }

    public String getWebSite() {
        return webSite;
    }

    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getLogo() {
        return logo;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setManagerType(String managerType) {
        this.managerType = managerType;
    }

    public String getManagerType() {
        return managerType;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLevel() {
        return level;
    }

    public Integer getTier() {
        return tier;
    }

    public void setTier(Integer tier) {
        this.tier = tier;
    }

    public void setYlxx(Integer ylxx) {
        this.ylxx = ylxx;
    }

    public Integer getYlxx() {
        return ylxx;
    }

    public void setYlxk(Integer ylxk) {
        this.ylxk = ylxk;
    }

    public Integer getYlxk() {
        return ylxk;
    }

    public void setYjsy(Integer yjsy) {
        this.yjsy = yjsy;
    }

    public Integer getYjsy() {
        return yjsy;
    }

    public void setDlxy(Integer dlxy) {
        this.dlxy = dlxy;
    }

    public Integer getDlxy() {
        return dlxy;
    }

    public void setMbgx(Integer mbgx) {
        this.mbgx = mbgx;
    }

    public Integer getMbgx() {
        return mbgx;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getTel() {
        return tel;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }

    public void setFavorities(Integer favorities) {
        this.favorities = favorities;
    }

    public Integer getFavorities() {
        return favorities;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getNumberOfBSH() {
        return numberOfBSH;
    }

    public void setNumberOfBSH(Integer numberOfBSH) {
        this.numberOfBSH = numberOfBSH;
    }

    public Integer getNumberOfStu() {
        return numberOfStu;
    }

    public void setNumberOfStu(Integer numberOfStu) {
        this.numberOfStu = numberOfStu;
    }

    public String getComScore() {
        return comScore;
    }

    public void setComScore(String comScore) {
        this.comScore = comScore;
    }

    public Integer getRankingOfEdu() {
        return rankingOfEdu;
    }

    public void setRankingOfEdu(Integer rankingOfEdu) {
        this.rankingOfEdu = rankingOfEdu;
    }

    public Integer getRanking() {
        return ranking;
    }

    public void setRanking(Integer ranking) {
        this.ranking = ranking;
    }

    public String getCreatedYear() {
        return createdYear;
    }

    public void setCreatedYear(String createdYear) {
        this.createdYear = createdYear;
    }

    public String getShuoShiZBWZ() {
        return shuoShiZBWZ;
    }

    public void setShuoShiZBWZ(String shuoShiZBWZ) {
        this.shuoShiZBWZ = shuoShiZBWZ;
    }

    public String getVrUrl() {
        return vrUrl;
    }

    public void setVrUrl(String vrUrl) {
        this.vrUrl = vrUrl;
    }

    public String getMotto() {
        return motto;
    }

    public void setMotto(String motto) {
        this.motto = motto;
    }

    public String getZhaoBanWZ() {
        return zhaoBanWZ;
    }

    public void setZhaoBanWZ(String zhaoBanWZ) {
        this.zhaoBanWZ = zhaoBanWZ;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getStar() {
        return star;
    }

    public void setStar(String star) {
        this.star = star;
    }

    public String getVrShortUrl() {
        return vrShortUrl;
    }

    public void setVrShortUrl(String vrShortUrl) {
        this.vrShortUrl = vrShortUrl;
    }

    public String getCelebrateDay() {
        return celebrateDay;
    }

    public void setCelebrateDay(String celebrateDay) {
        this.celebrateDay = celebrateDay;
    }

    public String getNatureType() {
        return natureType;
    }

    public void setNatureType(String natureType) {
        this.natureType = natureType;
    }

    public String getMajorRule() {
        return majorRule;
    }

    public void setMajorRule(String majorRule) {
        this.majorRule = majorRule;
    }

//    public JSONArray getPointsOfBo() {
//        return JSONArray.parseArray(pointsOfBo);
//    }
    public String getPointsOfBo() {
        return pointsOfBo;
    }

    public void setPointsOfBo(String pointsOfBo) {
        this.pointsOfBo = pointsOfBo;
    }

//    public JSONArray getPointsOfShuo() {
//        return JSONArray.parseArray(pointsOfShuo);
//    }
    public String getPointsOfShuo() {
        return pointsOfShuo;
    }

    public void setPointsOfShuo(String pointsOfShuo) {
        this.pointsOfShuo = pointsOfShuo;
    }

    public String getBxLevel() {
        return bxLevel;
    }

    public void setBxLevel(String bxLevel) {
        this.bxLevel = bxLevel;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }

    public String getEntranceType() {
        return entranceType;
    }

    public void setEntranceType(String entranceType) {
        this.entranceType = entranceType;
    }

    public String getShuoShiZBDH() {
        return shuoShiZBDH;
    }

    public void setShuoShiZBDH(String shuoShiZBDH) {
        this.shuoShiZBDH = shuoShiZBDH;
    }

    public String getBxType() {
        return bxType;
    }

    public void setBxType(String bxType) {
        this.bxType = bxType;
    }

    public String getZhaoBanDH() {
        return zhaoBanDH;
    }

    public void setZhaoBanDH(String zhaoBanDH) {
        this.zhaoBanDH = zhaoBanDH;
    }

    public JSONArray getNameUsed() {
        return JSONArray.parseArray(nameUsed);
    }

    public void setNameUsed(String nameUsed) {
        this.nameUsed = nameUsed;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public JSONArray getAwards() {
        return JSONArray.parseArray(awards);
    }

    public void setAwards(String awards) {
        this.awards = awards;
    }

    public Integer getHits() {
        return hits;
    }

    public void setHits(Integer hits) {
        this.hits = hits;
    }

    public String getNatureTypeCN() {
        return natureTypeCN;
    }

    public void setNatureTypeCN(String natureTypeCN) {
        this.natureTypeCN = natureTypeCN;
    }

    public Boolean getCollected() {
        return collected;
    }

    public void setCollected(Boolean collected) {
        this.collected = collected;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("code", getCode())
            .append("name", getName()).append("logo", getLogo()).append("location", getLocation()).append("managerType", getManagerType())
            .append("type", getType()).append("level", getLevel()).append("ylxx", getYlxx()).append("ylxk", getYlxk())
            .append("yjsy", getYjsy()).append("dlxy", getDlxy()).append("mbgx", getMbgx()).append("tel", getTel()).append("url", getUrl())
            .append("favorities", getFavorities()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
